Bug 465262 - console-kit-daemon segfault randomly
console-kit-daemon segfault randomly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
9
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-02 09:54 EDT by Arnaud Gomes-do-Vale
Modified: 2015-01-14 18:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:15:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Stack trace from console-kit-daemon (58.82 KB, application/octet-stream)
2008-10-02 09:54 EDT, Arnaud Gomes-do-Vale
no flags Details

  None (edit)
Description Arnaud Gomes-do-Vale 2008-10-02 09:54:26 EDT
Created attachment 319233 [details]
Stack trace from console-kit-daemon

Description of problem:

gvfs-fuse-daemon and console-kit-daemon crash from time to time, seemingly at random, since I upgraded my workstation to Fedora 9 (clean reinstall, used to work perfectly with Fedora 8).

Version-Release number of selected component (if applicable):

gvfs-fuse-0.2.5-1.fc9.x86_64
ConsoleKit-0.2.10-3.fc9.x86_64

How reproducible:

More or less random, some actions (like running firefox or unmounting an external firewire disk drive) seem to be more likely to trigger the crash, but this does not happen all the time.

Steps to Reproduce:
1. log in, choose GNOME as session type
2. use the computer and wait for X session to die
  
Actual results:

gvfs-fuse-daemon crashes, console-kit-daemon segfaults, X session dies, need to restart messagebus for gdm to come back.

Expected results:

Nothing crashes.

Additional info:

In dmesg:

gvfs-fuse-daemo[3526] general protection ip:35f2c088aa sp:7fff4a475c90 error:0 in libpthread-2.8.so[35f2c00000+16000]
console-kit-dae[3190]: segfault at 8 ip 35f342a5f9 sp 4106f080 error 4 in libglib-2.0.so.0.1600.6[35f3400000+df000]

I would guess the ConsoleKit crash triggers the gvfs-fuse error as the latter does not always appear in the logs, but I cannot be sure about it.
Comment 1 Arnaud Gomes-do-Vale 2008-10-16 05:42:56 EDT
Looks like the culprit is not ConsoleKit itself but dbus. I had a new crash with my heavily loaded workstation (load average over 60, firefox taking more than 1.5GB RAM, the machine has 2GB physical RAM), as far as I can tell from the logs dbus crashed or was otherwise unable to work correctly, then lots of stuff began to fail at the same time.

Here are the relevant parts from /var/log/messages.

Oct 16 11:08:05 libation gdm-binary[3109]: DEBUG(+): Disconnected from D-Bus
Oct 16 11:08:05 libation gdm-binary[3109]: DEBUG(+): GdmDisplayStore: Clearing display store
Oct 16 11:08:05 libation gdm-binary[3109]: DEBUG(+): GdmDisplayStore: Unreffing display: 0x2369830
Oct 16 11:08:05 libation gdm-binary[3109]: DEBUG(+): GdmDisplay: Disposing display
Oct 16 11:08:05 libation gdm-binary[3109]: DEBUG(+): GdmSlaveProxy: Disposing slave proxy
Oct 16 11:08:05 libation gdm-binary[3109]: DEBUG(+): GdmSlaveProxy: Killing slave
Oct 16 11:08:05 libation gdm-binary[3109]: DEBUG(+): GdmCommon: sending signal 15 to process 3186
Oct 16 11:08:06 libation gnome-keyring-daemon[16070]: Scheduling hal init retry
Oct 16 11:08:06 libation nm-system-settings: disconnected from the system bus, exiting.
Oct 16 11:08:07 libation console-kit-daemon[2055]: GLib-CRITICAL: g_async_queue_unref: assertion `queue->waiting_threads == 0' failed
Oct 16 11:08:10 libation console-kit-daemon[2055]: WARNING: Couldn't connect to system bus: Failed to connect to socket /var/run/dbus/system_bus_socket: Connection refused
Oct 16 11:08:13 libation console-kit-daemon[2055]: WARNING: Couldn't connect to system bus: Failed to connect to socket /var/run/dbus/system_bus_socket: Connection refused
Oct 16 11:08:16 libation console-kit-daemon[2055]: WARNING: Couldn't connect to system bus: Failed to connect to socket /var/run/dbus/system_bus_socket: Connection refused
.../...
Oct 16 11:08:28 libation kernel: gvfs-fuse-daemo[16150] general protection ip:35f2c088aa sp:7fff186fcf10 error:0 in libpthread-2.8.so[35f2c00000+16000]
Oct 16 11:08:31 libation console-kit-daemon[2055]: WARNING: Couldn't connect to system bus: Failed to connect to socket /var/run/dbus/system_bus_socket: Connection refused
Oct 16 11:08:34 libation console-kit-daemon[2055]: WARNING: Couldn't connect to system bus: Failed to connect to socket /var/run/dbus/system_bus_socket: Connection refused
Oct 16 11:08:37 libation gnome-keyring-daemon[16070]: error connecting to D-BUS system bus: Failed to connect to socket /var/run/dbus/system_bus_socket: Connection refused
Oct 16 11:08:37 libation gnome-keyring-daemon[16070]: Scheduling hal init retry
Oct 16 11:08:37 libation console-kit-daemon[2055]: WARNING: Couldn't connect to system bus: Failed to connect to socket /var/run/dbus/system_bus_socket: Connection refused
Oct 16 11:08:40 libation console-kit-daemon[2055]: WARNING: Couldn't connect to system bus: Failed to connect to socket /var/run/dbus/system_bus_socket: Connection refused
Oct 16 11:08:42 libation gconfd (gomes-14738): Le serveur GConf n'est pas en cours d'utilisation, arrêt.
.../...
Oct 16 11:09:38 libation kernel: console-kit-dae[3190]: segfault at 8 ip 35f342a5f9 sp 40df0080 error 4 in libglib-2.0.so.0.1600.6[35f3400000+df000]
Oct 16 11:09:45 libation gdm-binary[3109]: DEBUG(+): GdmCommon: process (pid:3186) done (status:0)
Oct 16 11:09:45 libation gdm-binary[3109]: DEBUG(+): GdmLocalDisplayFactory: Display 0x2369830 disposed
Oct 16 11:09:45 libation gdm-binary[3109]: DEBUG(+): GdmDisplay: Finalizing display: /org/gnome/DisplayManager/Display1
Oct 16 11:09:45 libation gconfd (gomes-14738): Sortie
Oct 16 11:09:51 libation gdm-binary[3109]: WARNING: Couldn't connect to system bus: Failed to connect to socket /var/run/dbus/system_bus_socket: Connexion refusée
Oct 16 11:09:51 libation gdm-binary[3109]: WARNING: Couldn't connect to system bus: Failed to connect to socket /var/run/dbus/system_bus_socket: Connexion refusée
Comment 2 Bug Zapper 2009-06-09 22:52:13 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 10:15:25 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.